## evilwm 0.99.7

=== Makefile ===
prefix = $(DESTDIR)/usr
version = 0
revision = 99
subrev = 7

XROOT    = /usr/X11R6
INCLUDES = -I$(XROOT)/include
LDPATH   = -L$(XROOT)/lib
LIBS     = -lX11

CC       = gcc

#
# See the file INSTALL for descriptions of these
#
DEFINES += -DMOUSE
DEFINES += -DSTDIO
DEFINES += -DSOLIDDRAG	
DEFINES += -DCOLOURMAP
# To support virtual desktops, uncomment any one of the following 3 lines
DEFINES += -DVWM
#DEFINES += -DVDESK
#DEFINES += -DVDESK_BOTH
# Uncomment the following line if you want to use Ctrl+Alt+q to kill windows
# instead of Ctrl+Alt+Escape (or just set it to what you want).  This is
# useful under XFree86/Cygwin and VMware (probably)
#DEFINES += -DKEY_KILL=XK_q
# To support shaped windows properly, uncomment the following two lines:
DEFINES += -DSHAPE
LIBS	+= -lXext

#DEFINES += -DSANITY	# active sanity checks
#DEFINES += -DDEBUG	# miscellaneous debugging
#DEFINES += -DXDEBUG	# show some X calls

DEFINES += -DVERSION=\"$(version).$(revision).$(subrev)\" $(DEBIAN)
CFLAGS   = $(INCLUDES) $(DEFINES) -Os -Wall
#CFLAGS   = $(INCLUDES) $(DEFINES) -g -Wall
LDFLAGS  = $(LDPATH) $(LIBS)

HEADERS  = evilwm.h
SRCS     = client.c events.c main.c misc.c new.c screen.c
OBJS     = $(SRCS:.c=.o)

all: evilwm

evilwm: $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $@ $(LDFLAGS)

allinone:
	cat evilwm.h $(SRCS) | sed 's/^#include.*evilwm.*$$//' > allinone.c
	$(CC) $(CFLAGS) -o evilwm allinone.c $(LDFLAGS)
	rm allinone.c

%.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) -c $<

doinstall:
	if [ -f evilwm.exe ]; then mv evilwm.exe evilwm; fi
	mkdir -p $(prefix)/bin $(prefix)/share/man/man1
	install -s evilwm $(prefix)/bin
	install evilwm.1 $(prefix)/share/man/man1
	#gzip -9 $(prefix)/share/man/man1/evilwm.1

install: doinstall

dist: clean
	mkdir /var/tmp/evilwm-$(version).$(revision).$(subrev).orig
	cp -a . /var/tmp/evilwm-$(version).$(revision).$(subrev).orig/
	cd /var/tmp && tar cfz evilwm_$(version).$(revision).$(subrev).orig.tar.gz evilwm-$(version).$(revision).$(subrev).orig --exclude=evilwm-$(version).$(revision).$(subrev).orig/CVS --exclude=evilwm-$(version).$(revision).$(subrev).orig/debian && rm -rf evilwm-$(version).$(revision).$(subrev).orig
	mv /var/tmp/evilwm_$(version).$(revision).$(subrev).orig.tar.gz ..

clean:
	rm -f evilwm evilwm.exe $(OBJS)

## evilwm 0.99.14

=== Makefile ===
# If you don't use CC 
CC       = gcc

# Edit this line if you don't want evilwm to install under /usr.
# Note that $(DESTDIR) is used by the Debian build process.
prefix = $(DESTDIR)/usr

XROOT    = /usr/X11R6
INCLUDES = -I$(XROOT)/include
LDPATH   = -L$(XROOT)/lib
LIBS     = -lX11

# Configure evilwm by editing the following DEFINES lines.

# Uncomment to enable solid window drags.  This can be slow on old systems.
DEFINES += -DSOLIDDRAG
# Enable a more informative and clear banner to be displayed on Ctrl+Alt+I.
DEFINES += -DINFOBANNER
# Uncomment to show the same banner on moves and resizes.  Note this can
# make things very SLOW!
#DEFINES += -DINFOBANNER_MOVERESIZE

# Use Motif hints to find if a window should be borderless.
# To use this option, you need to have the Motif development files installed.
DEFINES += -DMWM_HINTS

# To support virtual desktops, uncomment one or both of the following 2 lines.
DEFINES += -DVWM
#DEFINES += -DVDESK
# VWM enables the built-in virtual desktop code and VDESK allows the use
# of the extern pager program "vdesk".
#
# To support shaped windows properly, uncomment the following two lines:
DEFINES += -DSHAPE
LIBS	+= -lXext

# Uncomment for mouse support.  You probably want this.
DEFINES += -DMOUSE

# Uncomment to compile in certain text messages like help.  You want this too
# unless you *really* want to trim the bytes.
DEFINES += -DSTDIO

# You can save a few bytes if you know you won't need colour map support
# (eg for 16 or more bit displays)
DEFINES += -DCOLOURMAP

# Uncomment the following line if you want to use Ctrl+Alt+q to kill windows
# instead of Ctrl+Alt+Escape (or just set it to what you want).  This is
# useful under XFree86/Cygwin and VMware (probably)
#DEFINES += -DKEY_KILL=XK_q

# Print whatever debugging messages I've left in this release.
#DEFINES += -DDEBUG	# miscellaneous debugging

# ----- You shouldn't need to change anything under this line ------ #

version = 0
revision = 99
subrev = 14

distdir = evilwm-$(version).$(revision).$(subrev).orig
disttar = evilwm_$(version).$(revision).$(subrev).orig.tar.gz

#DEFINES += -DSANITY	# active sanity checks
#DEFINES += -DXDEBUG	# show some X calls

DEFINES += -DVERSION=\"$(version).$(revision).$(subrev)\" $(DEBIAN)
CFLAGS  += $(INCLUDES) $(DEFINES) -Os -Wall
#CFLAGS  += $(INCLUDES) $(DEFINES) -g -Wall
LDFLAGS += $(LDPATH) $(LIBS)

HEADERS  = evilwm.h
SRCS     = client.c events.c main.c misc.c new.c screen.c
OBJS     = $(SRCS:.c=.o)

all: evilwm

evilwm: $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $@ $(LDFLAGS)

allinone:
	cat evilwm.h $(SRCS) | sed 's/^#include.*evilwm.*$$//' > allinone.c
	$(CC) $(CFLAGS) -o evilwm allinone.c $(LDFLAGS)
	rm allinone.c

%.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) -c $<

doinstall:
	if [ -f evilwm.exe ]; then mv evilwm.exe evilwm; fi
	mkdir -p $(prefix)/bin $(prefix)/share/man/man1
	install -s evilwm $(prefix)/bin
	install evilwm.1 $(prefix)/share/man/man1
	#gzip -9 $(prefix)/share/man/man1/evilwm.1

install: doinstall

dist: clean
	cd debian && debuild clean
	mkdir /var/tmp/$(distdir)
	cp -a . /var/tmp/$(distdir)/
	cd /var/tmp && tar cfz $(disttar) $(distdir) --exclude=$(distdir)/CVS --exclude=$(distdir)/debian --exclude=$(distdir)/.\#\* && rm -rf $(distdir)
	mv /var/tmp/$(disttar) ..

debuild: dist
	-cd ..; rm -rf $(distdir)/
	cd ..; tar xfz $(disttar)
	cp -a debian ../$(distdir)/
	rm -rf ../$(distdir)/debian/CVS/
	cd ../$(distdir); debuild

clean:
	rm -f evilwm evilwm.exe $(OBJS)

## evilwm 0.99.17

=== Makefile ===
--- 
+++ 
@@ -37,6 +37,10 @@
 # Uncomment for mouse support.  You probably want this.
 DEFINES += -DMOUSE
 
+# Uncomment for snap-to-border support (thanks, Neil Drumm)
+# Start evilwm with -snap num to enable (num is proximity in pixels to snap to)
+DEFINES += -DSNAP
+
 # Uncomment to compile in certain text messages like help.  You want this too
 # unless you *really* want to trim the bytes.
 DEFINES += -DSTDIO
@@ -57,7 +61,7 @@
 
 version = 0
 revision = 99
-subrev = 14
+subrev = 17
 
 distdir = evilwm-$(version).$(revision).$(subrev).orig
 disttar = evilwm_$(version).$(revision).$(subrev).orig.tar.gz
@@ -68,6 +72,7 @@
 DEFINES += -DVERSION=\"$(version).$(revision).$(subrev)\" $(DEBIAN)
 CFLAGS  += $(INCLUDES) $(DEFINES) -Os -Wall
 #CFLAGS  += $(INCLUDES) $(DEFINES) -g -Wall
+CFLAGS  += -Wstrict-prototypes -Wpointer-arith -Wcast-align -Wcast-qual -Wshadow -Waggregate-return -Wnested-externs -Winline -Wwrite-strings -Wundef
 LDFLAGS += $(LDPATH) $(LIBS)
 
 HEADERS  = evilwm.h

## evilwm 0.99.21

=== Makefile ===
# If you don't use CC 
CC       = gcc

# Edit this line if you don't want evilwm to install under /usr.
# Note that $(DESTDIR) is used by the Debian build process.
prefix = $(DESTDIR)/usr

XROOT    = /usr/X11R6
INCLUDES = -I$(XROOT)/include
LDPATH   = -L$(XROOT)/lib
LIBS     = -lX11

DEFINES  = $(EXTRA_DEFINES)
# Configure evilwm by editing the following DEFINES lines.  You can also
# add options by setting EXTRA_DEFINES on the make(1) command line,
# e.g., make EXTRA_DEFINES="-DDEBUG".

# Uncomment to enable solid window drags.  This can be slow on old systems.
DEFINES += -DSOLIDDRAG
# Enable a more informative and clear banner to be displayed on Ctrl+Alt+I.
DEFINES += -DINFOBANNER
# Uncomment to show the same banner on moves and resizes.  Note this can
# make things very SLOW!
#DEFINES += -DINFOBANNER_MOVERESIZE

# To support virtual desktops, uncomment the following line.
DEFINES += -DVWM

# To support shaped windows properly, uncomment the following two lines:
DEFINES += -DSHAPE
LIBS	+= -lXext

# Uncomment for mouse support.  You probably want this.
DEFINES += -DMOUSE

# Uncomment for snap-to-border support (thanks, Neil Drumm)
# Start evilwm with -snap num to enable (num is proximity in pixels to snap to)
DEFINES += -DSNAP

# Uncomment to compile in certain text messages like help.  You want this too
# unless you *really* want to trim the bytes.
# Note that snprintf(3) is always part of the build.
DEFINES += -DSTDIO

# You can save a few bytes if you know you won't need colour map support
# (e.g., for 16 or more bit displays)
DEFINES += -DCOLOURMAP

# Uncomment the following line if you want to use Ctrl+Alt+q to kill windows
# instead of Ctrl+Alt+Escape (or just set it to what you want).  This is
# useful under XFree86/Cygwin and VMware (probably)
#DEFINES += -DKEY_KILL=XK_q

# Print whatever debugging messages I've left in this release.
#DEFINES += -DDEBUG	# miscellaneous debugging

# ----- You shouldn't need to change anything under this line ------ #

version = 0.99.21

distname = evilwm-$(version)

#DEFINES += -DXDEBUG	# show some X calls

DEFINES += -DVERSION=\"$(version)\" $(DEBIAN)
CFLAGS  += $(INCLUDES) $(DEFINES) -Os -Wall
#CFLAGS  += $(INCLUDES) $(DEFINES) -g -Wall
CFLAGS  += -W -Wstrict-prototypes -Wpointer-arith -Wcast-align -Wcast-qual -Wshadow -Waggregate-return -Wnested-externs -Winline -Wwrite-strings -Wundef -Wsign-compare -Wmissing-prototypes -Wredundant-decls
LDFLAGS += $(LDPATH) $(LIBS)

HEADERS  = evilwm.h log.h
SRCS     = client.c events.c main.c misc.c new.c screen.c
OBJS     = $(SRCS:.c=.o)

all: evilwm

evilwm: $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $@ $(LDFLAGS)

#allinone:
#	cat evilwm.h $(SRCS) | sed 's/^#include.*evilwm.*$$//' > allinone.c
#	$(CC) $(CFLAGS) -o evilwm allinone.c $(LDFLAGS)
#	rm allinone.c

%.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) -c $<

doinstall:
	if [ -f evilwm.exe ]; then mv evilwm.exe evilwm; fi
	mkdir -p $(prefix)/bin $(prefix)/share/man/man1
	install -s evilwm $(prefix)/bin
	install evilwm.1 $(prefix)/share/man/man1
	#gzip -9 $(prefix)/share/man/man1/evilwm.1

install: doinstall

dist:
	darcs dist --dist-name $(distname)
	mv $(distname).tar.gz ..

debuild: dist
	-cd ..; rm -rf $(distname)/ $(distname).orig/
	cd ..; mv $(distname).tar.gz evilwm_$(version).orig.tar.gz
	cd ..; tar xfz evilwm_$(version).orig.tar.gz
	cp -a debian ../$(distname)/
	rm -rf ../$(distname)/debian/_darcs/
	cd ../$(distname); debuild

clean:
	rm -f evilwm evilwm.exe $(OBJS)

## evilwm 1.0.0

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,15 @@
 
 # To support shaped windows properly, uncomment the following two lines:
 DEFINES += -DSHAPE
-LIBS	+= -lXext
+LIBS    += -lXext
+
+# Uncomment to support the Xrandr extension (thanks, Yura Semashko).
+#
+# Be sure that libXrandr is in your library search directory (e.g., under
+# Solaris, it is in /usr/X11R6/lib, so can be built against with the default
+# XPATH above, but won't necessarily be in the library search path).
+DEFINES += -DRANDR
+LIBS    += -lXrandr
 
 # Uncomment for mouse support.  You probably want this.
 DEFINES += -DMOUSE
@@ -52,15 +60,15 @@
 #DEFINES += -DKEY_KILL=XK_q
 
 # Print whatever debugging messages I've left in this release.
-#DEFINES += -DDEBUG	# miscellaneous debugging
+#DEFINES += -DDEBUG  # miscellaneous debugging
 
 # ----- You shouldn't need to change anything under this line ------ #
 
-version = 0.99.21
+version = 1.0.0
 
 distname = evilwm-$(version)
 
-#DEFINES += -DXDEBUG	# show some X calls
+#DEFINES += -DXDEBUG  # show some X calls
 
 DEFINES += -DVERSION=\"$(version)\" $(DEBIAN)
 CFLAGS  += $(INCLUDES) $(DEFINES) -Os -Wall
@@ -69,30 +77,25 @@
 LDFLAGS += $(LDPATH) $(LIBS)
 
 HEADERS  = evilwm.h log.h
-SRCS     = client.c events.c main.c misc.c new.c screen.c
+SRCS     = client.c events.c main.c misc.c new.c screen.c ewmh.c
 OBJS     = $(SRCS:.c=.o)
+
+.PHONY: all install dist debuild clean
 
 all: evilwm
 
 evilwm: $(OBJS)
 	$(CC) $(CFLAGS) $(OBJS) -o $@ $(LDFLAGS)
 
-#allinone:
-#	cat evilwm.h $(SRCS) | sed 's/^#include.*evilwm.*$$//' > allinone.c
-#	$(CC) $(CFLAGS) -o evilwm allinone.c $(LDFLAGS)
-#	rm allinone.c
-
 %.o: %.c $(HEADERS)
 	$(CC) $(CFLAGS) -c $<
 
-doinstall:
+install: evilwm
 	if [ -f evilwm.exe ]; then mv evilwm.exe evilwm; fi
 	mkdir -p $(prefix)/bin $(prefix)/share/man/man1
 	install -s evilwm $(prefix)/bin
 	install evilwm.1 $(prefix)/share/man/man1
 	#gzip -9 $(prefix)/share/man/man1/evilwm.1
-
-install: doinstall
 
 dist:
 	darcs dist --dist-name $(distname)

## evilwm 1.1.0

=== Makefile ===
# do not include any other makefiles above this line.
THISMAKEFILE=$(lastword $(MAKEFILE_LIST))
# allow trivial out-of-tree builds
src_dir=$(dir $(THISMAKEFILE))
VPATH=$(src_dir)

############################################################################
# Installation paths

prefix = /usr
bindir = $(prefix)/bin
datarootdir = $(prefix)/share
mandir = $(datarootdir)/man
man1dir = $(mandir)/man1
desktopfilesdir = $(datarootdir)/applications

############################################################################
# Features

# Uncomment to enable info banner on holding Ctrl+Alt+I.
OPT_CPPFLAGS += -DINFOBANNER

# Uncomment to show the same banner on moves and resizes.  Can be SLOW!
#OPT_CPPFLAGS += -DINFOBANNER_MOVERESIZE

# Uncomment for mouse support.  Recommended.
OPT_CPPFLAGS += -DMOUSE

# Uncomment to support the Xrandr extension (thanks, Yura Semashko).
OPT_CPPFLAGS += -DRANDR
OPT_LDLIBS   += -lXrandr

# Uncomment to support shaped windows.
OPT_CPPFLAGS += -DSHAPE
OPT_LDLIBS   += -lXext

# Uncomment to enable solid window drags.  This can be slow on old systems.
OPT_CPPFLAGS += -DSOLIDDRAG

# Uncomment to compile in certain text messages like help.  Recommended.
OPT_CPPFLAGS += -DSTDIO

# Uncomment to support virtual desktops.
OPT_CPPFLAGS += -DVWM

# Uncomment to move pointer around on certain actions.
OPT_CPPFLAGS += -DWARP_POINTER

# Uncomment to use Ctrl+Alt+q instead of Ctrl+Alt+Escape.  Useful for Cygwin.
#OPT_CPPFLAGS += -DKEY_KILL=XK_q

# Uncomment to include whatever debugging messages I've left in this release.
#OPT_CPPFLAGS += -DDEBUG   # miscellaneous debugging
#OPT_CPPFLAGS += -DXDEBUG  # show some X calls

############################################################################
# Include file and library paths

# Most Linux distributions don't separate out X11 from the rest of the
# system, but some other OSs still require extra information:

# Solaris 10:
#OPT_CPPFLAGS += -I/usr/X11/include
#LDFLAGS  += -R/usr/X11/lib -L/usr/X11/lib

# Solaris <= 9 doesn't support RANDR feature above, so disable it there
# Solaris 9 doesn't fully implement ISO C99 libc, to suppress warnings, use:
#OPT_CPPFLAGS += -D__EXTENSIONS__

# Mac OS X:
#LDFLAGS += -L/usr/X11R6/lib

############################################################################
# Build tools

# Change this if you don't use gcc:
CC = gcc

# Override if desired:
CFLAGS = -Os -std=c99
WARN = -Wall -W -Wstrict-prototypes -Wpointer-arith -Wcast-align \
	-Wshadow -Waggregate-return -Wnested-externs -Winline -Wwrite-strings \
	-Wundef -Wsign-compare -Wmissing-prototypes -Wredundant-decls

# Enable to spot explicit casts that strip constant qualifiers.
# generally not needed, since an explicit cast should signify
# the programmer guarantees no undefined behaviour.
#WARN += -Wcast-qual

# For Cygwin:
#EXEEXT = .exe

# Override INSTALL_STRIP if you don't want a stripped binary
INSTALL = install
INSTALL_STRIP = -s
INSTALL_DIR = $(INSTALL) -d -m 0755
INSTALL_FILE = $(INSTALL) -m 0644
INSTALL_PROGRAM = $(INSTALL) -m 0755 $(INSTALL_STRIP)

############################################################################
# You shouldn't need to change anything beyond this point

version = 1.1.0
distname = evilwm-$(version)

# Generally shouldn't be overridden:
#  _SVID_SOURCE for strdup and putenv
#  _POSIX_C_SOURCE=200112L for sigaction
EVILWM_CPPFLAGS = $(CPPFLAGS) $(OPT_CPPFLAGS) -DVERSION=\"$(version)\" \
	-D_SVID_SOURCE=1 \
	-D_POSIX_C_SOURCE=200112L \
	$(NULL)
EVILWM_CFLAGS = -std=c99 $(CFLAGS) $(WARN)
EVILWM_LDLIBS = -lX11 $(OPT_LDLIBS) $(LDLIBS)

HEADERS = evilwm.h keymap.h list.h log.h xconfig.h
OBJS = client.o events.o ewmh.o list.o main.o misc.o new.o screen.o xconfig.o

.PHONY: all
all: evilwm$(EXEEXT)

$(OBJS): $(HEADERS)

%.o: %.c
	$(CC) $(EVILWM_CFLAGS) $(EVILWM_CPPFLAGS) -c $<

evilwm$(EXEEXT): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS) $(EVILWM_LDLIBS)

.PHONY: install
install: evilwm$(EXEEXT)
	$(INSTALL_DIR) $(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) evilwm$(EXEEXT) $(DESTDIR)$(bindir)/
	$(INSTALL_DIR) $(DESTDIR)$(man1dir)
	$(INSTALL_FILE) $(src_dir)/evilwm.1 $(DESTDIR)$(man1dir)/
	$(INSTALL_DIR) $(DESTDIR)$(desktopfilesdir)
	$(INSTALL_FILE) $(src_dir)/evilwm.desktop $(DESTDIR)$(desktopfilesdir)/

.PHONY: uninstall
uninstall:
	rm -f $(DESTDIR)$(bindir)/evilwm$(EXEEXT)
	rm -f $(DESTDIR)$(man1dir)/evilwm.1
	rm -f $(DESTDIR)$(desktopfilesdir)/evilwm.desktop

.PHONY: dist
dist:
	git archive --format=tar --prefix=$(distname)/ HEAD > ../$(distname).tar
	gzip -f9 ../$(distname).tar

.PHONY: debuild
debuild: dist
	-cd ..; rm -rf $(distname)/ $(distname).orig/
	cd ..; mv $(distname).tar.gz evilwm_$(version).orig.tar.gz
	cd ..; tar xfz evilwm_$(version).orig.tar.gz
	rsync -axH debian --exclude='debian/.git/' --exclude='debian/_darcs/' ../$(distname)/
	cd ../$(distname); debuild

.PHONY: clean
clean:
	rm -f evilwm$(EXEEXT) $(OBJS)

=== debian/changelog ===
evilwm (1.1.0-3) unstable; urgency=low

  * Update debian/docs:
    + add doc/standards.html to install with package. (Closes: #717599)
  * debian/rules:
    + fix typo with copy simple configuration.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 24 Jul 2013 11:27:37 +0200

evilwm (1.1.0-2) unstable; urgency=low

  * Add show-in-login-manager.patch:
    + fix switching to another wm isn't documented. (Closes: #596427)
    + fix show up in display manager. (Closes: #703986)
  * Packages is provide x-window-manager now. (Closes: #663992)
  * Add fix-lost-focus.patch.
  * Add CFLAGS.
  * Add simple configuration file installed in /etc/xdg/.evilwmrc_simple:
    + debian/control: add xterm and xfonts-terminus to suggests.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 26 Mar 2013 20:00:26 +0100

evilwm (1.1.0-1) unstable; urgency=low

  * New maintainer.
  * New upstream release. (Closes: #542343)
    + Fixes hangs with 100% CPU if no .xinirc provided (Closes: #554846)
    + Fixes hangs instead of shutting down when killed (Closes: #512548)
  * Update debian/control:
    + change maintainer.
    + bump standard options to 3.9.4 
    + add xfonts-75dpi, xfonts-100dpi to package depends (Closes LP: #217502).
    + add Vcs links.
  * Add xorg to suggest depends.
  * Change format to 3.0 (quilt).
    + Add source/format file.
    + Switching to xz compression.
  * debian/compat bump to 9.
  * Update debian/postinst and debian/prerm scripts.
  * Update debian/copyright.
  * Fix interaction with X and signal handler on shutdown (closes: #512548).
  * Call dh_installmenu (closes: #504065).
  * Don't strip by default (closes: #436821).
  * Include basic .desktop file (closes: #330046).
  * Configuration file $HOME/.evilwmrc read on startup.
  * evilwm-specific window properties track old dimensions on maximise.
  * Much larger subset of EWMH 1.3 supported.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 22 Feb 2013 12:12:03 +0100

evilwm (1.0.0-1) unstable; urgency=low

  * New upstream release. (closes: #430926)
  * EWMH hints added so vdesk/sticky states persist across wm change.
  * AltTab behaviour modified.
  * Ability to resize from keyboard added.
  * New option -altmask.
  * New option -nosoliddrag.
  * Fix configure requests containing sibling information.
  * Only snap against clients on the same screen.
  * Track vdesk separately on each managed screen.
  * Keep key bindings when keyboard mapping changes (closes: #364788)
  * Add basic Xrandr support (thanks to Yura Semashko for this patch).
  * When snapping, prefer screen edge to other windows.

 -- Ciaran Anscomb <evilwm@6809.org.uk>  Mon, 18 Jun 2007 19:21:59 +0100

evilwm (0.99.21-1) unstable; urgency=low

  * New upstream release.
  * Fixes positioning error introduced in 0.99.20.

 -- Ciaran Anscomb <evilwm@6809.org.uk>  Mon, 16 Jan 2006 19:04:55 +0000

evilwm (0.99.20-1) unstable; urgency=low

  * New upstream release.
  * Depend on x-dev, libx11-dev, libxext-dev instead of xlibs-dev
    (closes: #346656)
  * Remove dependency on Motif/LessTif headers.
  * Simplify code to avoid enter events when moving windows around without the
    mouse.
  * Exit gracefully when no suitable font is found.
  * Change frame colouring method.  Allows aterm & others to use "fast
    transparency".
  * Remove redundant window map when a new client isn't going to be visible on
    the current virtual desktop.

 -- Ciaran Anscomb <evilwm@6809.org.uk>  Fri, 13 Jan 2006 12:05:41 +0000

evilwm (0.99.19-1) unstable; urgency=low

  * New upstream release.
  * Info window movement made a bit more sensible.
  * Don't remove clients from within error handler, instead flag for removal.
  * While removing client, only reparent to root if window is withdrawn
    or window manager is shutting down (fixes xpdf-in-firefox bug).
  * Window close key with shift held will XKillClient().
  * LD: Replace logic to decide if we have a shaped window (cribbed from
    fvwm-2.5.10).
  * LD: Warp mouse pointer to a visible point in shaped windows.

 -- Ciaran Anscomb <evilwm@6809.org.uk>  Thu,  6 Oct 2005 21:46:14 +0100

evilwm (0.99.18-1) unstable; urgency=low

  * New upstream release.
  * Fix AltTab crash when there are no clients.
  * Added -app, -g and -v options to specify geometry and vdesk (incl sticky),
    for new windows.
  * Fix so shape information is applied on WM startup.
  * Allow override of WM modifiers used to grab keys/mouse buttons with
    -mask1 and -mask2 (closes: #230518)
  * Merged lots of Larry Doolittle's patches; these are mostly to increase
    strictness of code.
  * Removed deprecated 'vdesk' external pager support.

 -- Ciaran Anscomb <evilwm@6809.org.uk>  Thu,  2 Jun 2005 18:24:39 +0100

evilwm (0.99.17-1) unstable; urgency=low

  * New upstream release (closes: #178162)
  * evilwm now appears as x-window-manager alternative (closes: #193676)
  * Upstream: Fixes AltTab hanging bug (2002-11-18) (closes: #178166)

 -- Ciaran Anscomb <evilwm@6809.org.uk>  Wed, 15 Oct 2003 12:44:19 +0100

evilwm (0.99.16-1) unstable; urgency=low

  * New upstream release.
  * lesstif2-dev is an acceptable alternative to lesstif-dev.

 -- Ciaran Anscomb <evilwm@6809.org.uk>  Thu, 18 Sep 2003 16:36:08 +0100

evilwm (0.99.15-1) unstable; urgency=low

  * New upstream release.

 -- Ciaran Anscomb <evilwm@6809.org.uk>  Sun, 29 Jun 2003 20:53:58 +0100

evilwm (0.99.14-1) unstable; urgency=low

  * New upstream release.
  * Add postinst/prerm scripts to deal with alternatives.

 -- Ciaran Anscomb <evilwm@6809.org.uk>  Wed, 15 Jan 2003 10:20:04 +0000

evilwm (0.99.7-1) unstable; urgency=low

  * Initial Release.
  * Changed email addresses to evilwm@6809.org.uk.

 -- Ciaran Anscomb <evilwm@6809.org.uk>  Thu, 15 Aug 2002 14:06:12 +0100

=== debian/control ===
Source: evilwm
Section: x11
Priority: optional
Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends: debhelper (>= 9), x11proto-core-dev, libx11-dev, 
  x11proto-xext-dev, libxrandr-dev
Standards-Version: 3.9.4
Homepage: http://www.6809.org.uk/evilwm/
Vcs-Git: git://github.com/mati75/evilwm.git
Vcs-Browser: https://github.com/mati75/evilwm.git

Package: evilwm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-window-manager
Suggests: xfonts-75dpi, xfonts-100dpi, xterm, xfonts-terminus
Description: minimalist window manager for X11
 evilwm is based on aewm by Decklin Foster. It's minimalist 
 in that it omits unnecessary stuff like window decorations 
 and icons. But it's very usable in that it provides good 
 keyboard control with repositioning and maximize toggles, 
 solid window drags, snap-to-border support, and virtual desktops.

=== debian/rules ===
#!/usr/bin/make -f
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS+=-Wl,-z,defs -Wl,--as-needed

export LDFLAGS
# Default to normal "small" binary
CFLAGS = -Os

%:
	dh $@ --parallel

override_dh_install:
	mkdir debian/evilwm/etc/
	mkdir debian/evilwm/etc/xdg
	install -m 644  debian/evilwmrc_simple \
	$(CURDIR)/debian/evilwm/etc/xdg/.evilwmrc_simple

=== debian/watch ===
version=3
http://www.6809.org.uk/evilwm/install.shtml evilwm-(.*)\.tar\.gz

## evilwm 1.1.1~git20140130

=== debian/changelog ===
evilwm (1.1.1~git20140130-1) unstable; urgency=low

  * Merge lastest upstream snapshot.
  * Patch working:
    + add use_fixed_font.patch to use fixed fonts.
    + add enable-hardening.patch to use hardening flags.
      Thanks to Markus Waldeck <waldeck@gmx.de>.
  * Bump standards version to 3.9.5 (no changes needed).
  * debian/copyright:
    + update years.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 05 Sep 2014 21:51:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends: debhelper (>= 9), x11proto-core-dev, libx11-dev, 
   x11proto-xext-dev, libxrandr-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.6809.org.uk/evilwm/
 Vcs-Git: git://github.com/mati75/evilwm.git
 Vcs-Browser: https://github.com/mati75/evilwm.git

=== debian/rules ===
#!/usr/bin/make -f
DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Default to normal "small" binary
CFLAGS += -Os

%:
	dh $@ --parallel

override_dh_install:
	mkdir debian/evilwm/etc/
	mkdir debian/evilwm/etc/xdg
	install -m 644  debian/evilwmrc_simple \
	$(CURDIR)/debian/evilwm/etc/xdg/.evilwmrc_simple

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

## evilwm 1.1.1

=== Makefile ===
--- 
+++ 
@@ -23,9 +23,6 @@
 # Uncomment to show the same banner on moves and resizes.  Can be SLOW!
 #OPT_CPPFLAGS += -DINFOBANNER_MOVERESIZE
 
-# Uncomment for mouse support.  Recommended.
-OPT_CPPFLAGS += -DMOUSE
-
 # Uncomment to support the Xrandr extension (thanks, Yura Semashko).
 OPT_CPPFLAGS += -DRANDR
 OPT_LDLIBS   += -lXrandr
@@ -44,7 +41,7 @@
 OPT_CPPFLAGS += -DVWM
 
 # Uncomment to move pointer around on certain actions.
-OPT_CPPFLAGS += -DWARP_POINTER
+#OPT_CPPFLAGS += -DWARP_POINTER
 
 # Uncomment to use Ctrl+Alt+q instead of Ctrl+Alt+Escape.  Useful for Cygwin.
 #OPT_CPPFLAGS += -DKEY_KILL=XK_q
@@ -77,7 +74,7 @@
 CC = gcc
 
 # Override if desired:
-CFLAGS = -Os -std=c99
+CFLAGS = -Os
 WARN = -Wall -W -Wstrict-prototypes -Wpointer-arith -Wcast-align \
 	-Wshadow -Waggregate-return -Wnested-externs -Winline -Wwrite-strings \
 	-Wundef -Wsign-compare -Wmissing-prototypes -Wredundant-decls
@@ -100,7 +97,7 @@
 ############################################################################
 # You shouldn't need to change anything beyond this point
 
-version = 1.1.0
+version = 1.1.1
 distname = evilwm-$(version)
 
 # Generally shouldn't be overridden:
@@ -108,9 +105,9 @@
 #  _POSIX_C_SOURCE=200112L for sigaction
 EVILWM_CPPFLAGS = $(CPPFLAGS) $(OPT_CPPFLAGS) -DVERSION=\"$(version)\" \
 	-D_SVID_SOURCE=1 \
-	-D_POSIX_C_SOURCE=200112L \
-	$(NULL)
+	-D_POSIX_C_SOURCE=200112L
 EVILWM_CFLAGS = -std=c99 $(CFLAGS) $(WARN)
+EVILWM_LDFLAGS = $(LDFLAGS)
 EVILWM_LDLIBS = -lX11 $(OPT_LDLIBS) $(LDLIBS)
 
 HEADERS = evilwm.h keymap.h list.h log.h xconfig.h
@@ -125,7 +122,7 @@
 	$(CC) $(EVILWM_CFLAGS) $(EVILWM_CPPFLAGS) -c $<
 
 evilwm$(EXEEXT): $(OBJS)
-	$(CC) -o $@ $(OBJS) $(LDFLAGS) $(EVILWM_LDLIBS)
+	$(CC) -o $@ $(OBJS) $(EVILWM_LDFLAGS) $(EVILWM_LDLIBS)
 
 .PHONY: install
 install: evilwm$(EXEEXT)

=== debian/changelog ===
evilwm (1.1.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #725494)
  * debian/control:
    + Bump standards version to 3.9.6 (no changes needed).
    + Add doc-base to B-D.
  * Clean debian/rules:
    + Drop obsolete override_dh_builddeb.
    + Drop override_dh_install.
  * Remove debian/source/options -- no longer needed.
  * Add debian/evilwm.dirs to prepare etc/xdg dir.
  * Add debian/evilwm.install to install simple configuration from
    debian/.evilwmrc_simple.
  * Patch working:
    + Add remove-encoding.patch to remove Encoding from desktop file.
    + Refresh show-in-login-manager.patch.
  * Add debian/evilwm.doc-base to fix lintian warning
    possible-documentation-but-no-doc-base-registration.
  * debian/source/lintian-overrides:
    + Add debian-watch-may-check-gpg-signature.
  * debian/copyright:
    + Update years.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 20 Jul 2015 23:02:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends: debhelper (>= 9), x11proto-core-dev, libx11-dev, 
-  x11proto-xext-dev, libxrandr-dev
-Standards-Version: 3.9.5
+  x11proto-xext-dev, libxrandr-dev, doc-base
+Standards-Version: 3.9.6
 Homepage: http://www.6809.org.uk/evilwm/
 Vcs-Git: git://github.com/mati75/evilwm.git
 Vcs-Browser: https://github.com/mati75/evilwm.git

=== debian/rules ===
#!/usr/bin/make -f
DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Default to normal "small" binary
CFLAGS += -Os

%:
	dh $@ --parallel

=== debian/watch ===
version=3
http://www.6809.org.uk/evilwm/install.shtml evilwm-(.*)\.tar\.gz

## evilwm 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,8 @@
+############################################################################
+# evilwm - minimalist window manager for X11
+# Copyright (C) 1999-2021 Ciaran Anscomb <evilwm@6809.org.uk>
+# see README for license and other details.
+
 # do not include any other makefiles above this line.
 THISMAKEFILE=$(lastword $(MAKEFILE_LIST))
 # allow trivial out-of-tree builds
@@ -17,6 +22,10 @@
 ############################################################################
 # Features
 
+# Uncomment to enable use of sqrt() function in monitor distance calculations.
+OPT_CPPFLAGS += -DHAVE_MATH_H
+OPT_LDLIBS += -lm
+
 # Uncomment to enable info banner on holding Ctrl+Alt+I.
 OPT_CPPFLAGS += -DINFOBANNER
 
@@ -34,12 +43,6 @@
 # Uncomment to enable solid window drags.  This can be slow on old systems.
 OPT_CPPFLAGS += -DSOLIDDRAG
 
-# Uncomment to compile in certain text messages like help.  Recommended.
-OPT_CPPFLAGS += -DSTDIO
-
-# Uncomment to support virtual desktops.
-OPT_CPPFLAGS += -DVWM
-
 # Uncomment to move pointer around on certain actions.
 #OPT_CPPFLAGS += -DWARP_POINTER
 
@@ -50,6 +53,11 @@
 #OPT_CPPFLAGS += -DDEBUG   # miscellaneous debugging
 #OPT_CPPFLAGS += -DXDEBUG  # show some X calls
 
+OPT_CPPFLAGS += -DNDEBUG  # disable asserts
+
+# Uncomment to map KEY_TOPLEFT to XK_z (suitable for quertz keyboards)
+#OPT_CPPFLAGS += -DQWERTZ_KEYMAP
+
 ############################################################################
 # Include file and library paths
 
@@ -58,14 +66,18 @@
 
 # Solaris 10:
 #OPT_CPPFLAGS += -I/usr/X11/include
-#LDFLAGS  += -R/usr/X11/lib -L/usr/X11/lib
+#OPT_LDFLAGS += -R/usr/X11/lib -L/usr/X11/lib
 
 # Solaris <= 9 doesn't support RANDR feature above, so disable it there
 # Solaris 9 doesn't fully implement ISO C99 libc, to suppress warnings, use:
 #OPT_CPPFLAGS += -D__EXTENSIONS__
 
+# OpenBSD 6.2
+#OPT_CPPFLAGS += -I/usr/X11R6/include
+#OPT_LDFLAGS += -L/usr/X11R6/lib
+
 # Mac OS X:
-#LDFLAGS += -L/usr/X11R6/lib
+#OPT_LDFLAGS += -L/usr/X11R6/lib
 
 ############################################################################
 # Build tools
@@ -87,31 +99,34 @@
 # For Cygwin:
 #EXEEXT = .exe
 
-# Override INSTALL_STRIP if you don't want a stripped binary
 INSTALL = install
-INSTALL_STRIP = -s
+STRIP = strip
 INSTALL_DIR = $(INSTALL) -d -m 0755
 INSTALL_FILE = $(INSTALL) -m 0644
-INSTALL_PROGRAM = $(INSTALL) -m 0755 $(INSTALL_STRIP)
+INSTALL_PROGRAM = $(INSTALL) -m 0755
+
+# If you do not use GNU Make, you may need to comment out this line (and the
+# output from 'configure' will not be used):
+-include config.mk
 
 ############################################################################
 # You shouldn't need to change anything beyond this point
 
-version = 1.1.1
-distname = evilwm-$(version)
+version = 1.3.1
+distdir = evilwm-$(version)
 
 # Generally shouldn't be overridden:
-#  _SVID_SOURCE for strdup and putenv
-#  _POSIX_C_SOURCE=200112L for sigaction
+#  _XOPEN_SOURCE=700 incorporates POSIX.1-2008, for putenv, sigaction and strdup
 EVILWM_CPPFLAGS = $(CPPFLAGS) $(OPT_CPPFLAGS) -DVERSION=\"$(version)\" \
-	-D_SVID_SOURCE=1 \
-	-D_POSIX_C_SOURCE=200112L
+	-D_XOPEN_SOURCE=700 -DHAVE_CONFIG_H
 EVILWM_CFLAGS = -std=c99 $(CFLAGS) $(WARN)
 EVILWM_LDFLAGS = $(LDFLAGS)
 EVILWM_LDLIBS = -lX11 $(OPT_LDLIBS) $(LDLIBS)
 
-HEADERS = evilwm.h keymap.h list.h log.h xconfig.h
-OBJS = client.o events.o ewmh.o list.o main.o misc.o new.o screen.o xconfig.o
+HEADERS = client.h config.h display.h events.h evilwm.h keymap.h list.h \
+	log.h screen.h util.h xalloc.h xconfig.h
+OBJS = client.o client_move.o client_new.o display.o events.o ewmh.o \
+	list.o log.o main.o screen.o util.o xconfig.o xmalloc.o
 
 .PHONY: all
 all: evilwm$(EXEEXT)
@@ -133,6 +148,10 @@
 	$(INSTALL_DIR) $(DESTDIR)$(desktopfilesdir)
 	$(INSTALL_FILE) $(src_dir)/evilwm.desktop $(DESTDIR)$(desktopfilesdir)/
 
+.PHONY: install-strip
+install-strip: install
+	$(STRIP) $(DESTDIR)$(bindir)/evilwm$(EXEEXT)
+
 .PHONY: uninstall
 uninstall:
 	rm -f $(DESTDIR)$(bindir)/evilwm$(EXEEXT)
@@ -141,17 +160,21 @@
 
 .PHONY: dist
 dist:
-	git archive --format=tar --prefix=$(distname)/ HEAD > ../$(distname).tar
-	gzip -f9 ../$(distname).tar
+	git archive --format=tar --prefix=$(distdir)/ HEAD > $(distdir).tar
+	gzip -f9 $(distdir).tar
 
 .PHONY: debuild
 debuild: dist
-	-cd ..; rm -rf $(distname)/ $(distname).orig/
-	cd ..; mv $(distname).tar.gz evilwm_$(version).orig.tar.gz
+	-cd ..; rm -rf $(distdir)/ $(distdir).orig/
+	mv $(distdir).tar.gz ../evilwm_$(version).orig.tar.gz
 	cd ..; tar xfz evilwm_$(version).orig.tar.gz
-	rsync -axH debian --exclude='debian/.git/' --exclude='debian/_darcs/' ../$(distname)/
-	cd ../$(distname); debuild
+	rsync -axH debian --exclude='debian/.git/' --exclude='debian/_darcs/' ../$(distdir)/
+	cd ../$(distdir); debuild
 
 .PHONY: clean
 clean:
 	rm -f evilwm$(EXEEXT) $(OBJS)
+
+.PHONY: distclean
+distclean: clean
+	rm -f config.mk

=== doc/Makefile ===
.PHONY: all
all: evilwm.pdf evilwm.txt build.txt

evilwm.1: manpage-header evilwm.html
	(cat manpage-header; hxnormalize -xe -l 99999 evilwm.html | hxpipe | ./html2man.pl) > $@

build.1: manpage-header build.html
	(cat manpage-header; hxnormalize -xe -l 99999 build.html | hxpipe | ./html2man.pl) > $@

evilwm.pdf: evilwm.1
	./man2pdf.sh $< $@

evilwm.txt: evilwm.1
	./man2txt.sh $< $@

build.txt: build.1
	./man2txt.sh $< $@

.PHONY: all
clean:
	rm -f evilwm.1 evilwm.pdf evilwm.txt
	rm -f build.1 build.txt

=== debian/changelog ===
evilwm (1.3.1-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in Vcs control header.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Update renamed lintian tag names in lintian overrides.
  * Drop unnecessary dh arguments: --parallel

  [ Mateusz Łukasik ]
  * New upstream release. (Closes: #920946)
  * Bump standards version to 4.6.0
  * Drop d/patches/fix-lost-focus.patch -- included upstream.
  * Add Rules-Requires-Root.
  * Bump d/watch to 4.
  * Drop menu file.
  * Update d/evilwm.doc-base.
  * Add d/patches/drop_build_pdf.patch -- for disable build docs in pdf.
  * Add d/upstream/metadata.
  * Add Forwarded: not-needed to all patches.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 08 Sep 2021 22:09:19 +0200

=== debian/control ===
Source: evilwm
Section: x11
Priority: optional
Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends: x11proto-core-dev, libx11-dev,
  x11proto-xext-dev, libxrandr-dev, doc-base, debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.6809.org.uk/evilwm/
Vcs-Git: https://github.com/mati75/evilwm.git
Vcs-Browser: https://github.com/mati75/evilwm.git

Package: evilwm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-window-manager
Suggests: xfonts-75dpi, xfonts-100dpi, xterm, xfonts-terminus
Description: minimalist window manager for X11
 evilwm is based on aewm by Decklin Foster. It's minimalist
 in that it omits unnecessary stuff like window decorations
 and icons. But it's very usable in that it provides good
 keyboard control with repositioning and maximize toggles,
 solid window drags, snap-to-border support, and virtual desktops.

## evilwm 1.4.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 # evilwm - minimalist window manager for X11
-# Copyright (C) 1999-2021 Ciaran Anscomb <evilwm@6809.org.uk>
+# Copyright (C) 1999-2022 Ciaran Anscomb <evilwm@6809.org.uk>
 # see README for license and other details.
 
 # do not include any other makefiles above this line.
@@ -21,6 +21,9 @@
 
 ############################################################################
 # Features
+
+# Note: some options to reconfigure keyboard mappings have been removed, as the
+# "-bind" option should allow that at runtime.
 
 # Uncomment to enable use of sqrt() function in monitor distance calculations.
 OPT_CPPFLAGS += -DHAVE_MATH_H
@@ -45,9 +48,6 @@
 
 # Uncomment to move pointer around on certain actions.
 #OPT_CPPFLAGS += -DWARP_POINTER
-
-# Uncomment to use Ctrl+Alt+q instead of Ctrl+Alt+Escape.  Useful for Cygwin.
-#OPT_CPPFLAGS += -DKEY_KILL=XK_q
 
 # Uncomment to include whatever debugging messages I've left in this release.
 #OPT_CPPFLAGS += -DDEBUG   # miscellaneous debugging
@@ -112,7 +112,7 @@
 ############################################################################
 # You shouldn't need to change anything beyond this point
 
-version = 1.3.1
+version = 1.4.0
 distdir = evilwm-$(version)
 
 # Generally shouldn't be overridden:
@@ -123,10 +123,10 @@
 EVILWM_LDFLAGS = $(LDFLAGS)
 EVILWM_LDLIBS = -lX11 $(OPT_LDLIBS) $(LDLIBS)
 
-HEADERS = client.h config.h display.h events.h evilwm.h keymap.h list.h \
-	log.h screen.h util.h xalloc.h xconfig.h
-OBJS = client.o client_move.o client_new.o display.o events.o ewmh.o \
-	list.o log.o main.o screen.o util.o xconfig.o xmalloc.o
+HEADERS = bind.h client.h config.h display.h events.h evilwm.h func.h \
+	list.h log.h screen.h util.h xalloc.h xconfig.h
+OBJS = bind.o client.o client_move.o client_new.o display.o events.o ewmh.o \
+	func.o list.o log.o main.o screen.o util.o xconfig.o xmalloc.o
 
 .PHONY: all
 all: evilwm$(EXEEXT)

=== debian/changelog ===
evilwm (1.4.0-1) unstable; urgency=medium

  * New upstream release:
    + Removed patches included upstream and refreshed rest. 
  * Bump standards version to 4.6.1

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 28 Oct 2022 17:35:13 +0200

## evilwm 1.4.2

=== Makefile ===
--- 
+++ 
@@ -112,7 +112,7 @@
 ############################################################################
 # You shouldn't need to change anything beyond this point
 
-version = 1.4.0
+version = 1.4.2
 distdir = evilwm-$(version)
 
 # Generally shouldn't be overridden:

=== debian/changelog ===
evilwm (1.4.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update renamed lintian tag names in lintian overrides.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Mateusz Łukasik ]
  * New upstream release. (Closes: #1023516)
  * Update debian/source/lintian-overrides.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 18 Nov 2022 21:13:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends: x11proto-core-dev, libx11-dev,
   x11proto-xext-dev, libxrandr-dev, doc-base, debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.6809.org.uk/evilwm/
 Vcs-Git: https://github.com/mati75/evilwm.git

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 CFLAGS += -Os
 
 %:
-	dh $@ --parallel
+	dh $@

## evilwm 1.4.3

=== Makefile ===
--- 
+++ 
@@ -112,7 +112,7 @@
 ############################################################################
 # You shouldn't need to change anything beyond this point
 
-version = 1.4.2
+version = 1.4.3
 distdir = evilwm-$(version)
 
 # Generally shouldn't be overridden:

=== debian/changelog ===
evilwm (1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/source/lintian-overrides: Rename tag.
  * Bump standards version to 4.6.2.
  * Add patch for drop pdf customization from manpage.
  * Update debian/copyright.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 20 Mar 2024 21:40:59 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends: x11proto-core-dev, libx11-dev,
   x11proto-xext-dev, libxrandr-dev, doc-base, debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.6809.org.uk/evilwm/
 Vcs-Git: https://github.com/mati75/evilwm.git

=== debian/watch ===
version=4
https://www.6809.org.uk/evilwm/install.shtml evilwm-(.*)\.tar\.gz

## evilwm 1.5

=== debian/changelog ===
evilwm (1.5-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update d/watch to version 5.
  * d/control:
    + Bump standards version to 4.7.3.
    + Drop Priority field
    + Drop Rules-Requires-Root field
  * Update d/copyright.
  * Switch Vcs to salsa.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 19 Feb 2026 18:02:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: evilwm
 Section: x11
-Priority: optional
 Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends: x11proto-core-dev, libx11-dev,
   x11proto-xext-dev, libxrandr-dev, doc-base, debhelper-compat (= 13)
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://www.6809.org.uk/evilwm/
-Vcs-Git: https://github.com/mati75/evilwm.git
-Vcs-Browser: https://github.com/mati75/evilwm.git
+Vcs-Git: https://salsa.debian.org/mati75/evilwm.git
+Vcs-Browser: https://salsa.debian.org/mati75/evilwm.git
 
 Package: evilwm
 Architecture: any

=== debian/watch ===
Version: 5
Source: https://www.6809.org.uk/evilwm/dl/
Matching-Pattern: evilwm-(.*)\.tar\.gz
